function g = solve2d(g)

    % Erzeugen der Systemmatrix
    for rowCnt = 2 : (g.yCnt - 1)
        for colCnt = 2 : (g.xCnt - 1)
            var = g.varNum(rowCnt, colCnt);
            g.sysMat(var, g.varNum(rowCnt - 1, colCnt)) = -1/g.hy^2;
            g.sysMat(var, g.varNum(rowCnt + 1, colCnt)) = -1/g.hy^2;
            g.sysMat(var, g.varNum(rowCnt, colCnt - 1)) = -1/g.hx^2;
            g.sysMat(var, g.varNum(rowCnt, colCnt + 1)) = -1/g.hx^2;
            g.sysMat(var, var)                          =  2/g.hx^2 + 2/g.hy^2;
        end
    end
    
    % berprfung ob Punkt auf Dirichlet-Rand liegt
    for rowCnt = 1 : g.yCnt
        for colCnt = 1 : g.xCnt
            var = g.varNum(rowCnt, colCnt);
            if (g.dirMarker(rowCnt, colCnt) == 1)
                g.sysMat(var, :)   = 0;
                idx                = (g.sysMat(:, var) ~= 0);
                g.rhs(idx)         = g.rhs(idx) - g.sysMat(idx, var)*g.dirValue(rowCnt, colCnt);
                g.sysMat(:, var)   = 0;
                g.sysMat(var, var) = 1;
                g.rhs(var)         = g.dirValue(rowCnt, colCnt);
            end
        end
    end
    
    % Lsen des Gleichungssystems
    g.uh = g.sysMat\g.rhs;

    % Eintragen der Lsung
    for rowCnt = 1 : g.yCnt
        for colCnt = 1 : g.xCnt
            var = g.varNum(rowCnt, colCnt);
            g.solution(rowCnt, colCnt) = g.uh(var);
        end
    end
    
end